## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit d7baac754450ccd389b834f337c85b677ced95a5
%global commitdate 20250718
%global shortcommit %{sub %{commit} 1 7}

%global baserelease 1

%global xwlver 24.1

Name:           wayback
Version:        0~git%{commitdate}.%{baserelease}.%{shortcommit}
Release:        %autorelease
Summary:        X11 compatibility layer built on wlroots and Xwayland

License:        MIT
URL:            https://gitlab.freedesktop.org/wayback/wayback
Source:         %{url}/-/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-protocols) >= 1.14
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xwayland) >= %{xwlver}
BuildRequires:  (pkgconfig(wlroots-0.19) or pkgconfig(wlroots-0.18))
BuildRequires:  pkgconfig(scdoc)

Requires:       xorg-x11-server-Xwayland%{?_isa} >= %{xwlver}

%description
%{summary}.

%prep
%autosetup -n %{name}-%{commit}


%conf
%meson


%build
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_bindir}/Xwayback
%{_bindir}/wayback-*
%{_libexecdir}/wayback-*
%{_mandir}/man1/*wayback*.1*


%changelog
## START: Generated by rpmautospec
* Fri Jul 18 2025 Neal Gompa <ngompa@fedoraproject.org> - 0~git20250718.1.d7baac7-1
- Update to new git snapshot

* Fri Jul 11 2025 Neal Gompa <ngompa@fedoraproject.org> - 0~git20250711.1.8bc189f-1
- Initial packaging for Fedora (RH#2379300)
## END: Generated by rpmautospec
